Subject: RE:Serial Problem
From: [email-masked] (Graham Kennedy)
To: [email-masked]
Date: Sat, 16 Jul 94 20:20 BST-1

> Well I found a solution to my problem. I have to put a Vwait in my
> listing before sending the string. This works....

Nice one, but do you have to Vwait everytime you send a string ?

I resorted to sending strings one byte at a time using WriteSerial instead,
as this seemed to be much more reliable.

Watch out for the ReadSerial bug (I've described the fix in an earlier
message, but if anyone needs the fix, let me know). For those that don't
know the ReadSerial command returns a byte instead of a word so, if you send
a char(255) into blitz the command reports it as -1 (ie. no data waiting)
even if you take the advice and assign the result to a .w variable.

Appologies if people have this message twice, it didn't appear to get to the
list first time round.

            

Graham K.